### Method

# FwupdPlugin FdtImage get_attrs

since: 1.8.2

#### Declaration [src]

    GPtrArray*
    fu_fdt_image_get_attrs (
      FuFdtImage* self
    )

#### Description [src]

Gets all the attributes stored on the image.

Available since: 1.8.2

#### Return value

Type: An array of `utf8`

Keys.

The caller of the method takes ownership of the returned data container, but not the data inside it.
Each element is a NUL terminated UTF-8 string.